using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Hierarchy_RIA.Web
{
	public partial class Order
	{
		[DataMember]
		public decimal MaxUnitPrice
		{
			get
			{
				return (from od in this.Order_Details
						where od.OrderID == this.OrderID
						select od.UnitPrice).Max();
			}
		}
	}
}